/* simple library for oled drier ssd1306
 * autor Marek Blasko
 * license LGPL
 * 7-10-2011 v0.1 initial version
 */

#define  DevLCD 0x78    // address oLED 1 SA0=0

// initializing oled
extern void oled_init(void);

/* enable oled 
 * enable charge pump and display
 */
extern void oled_enable(void);

/* disable oled (stand by)
 * disable display and charge pump 
 */
extern void oled_disable(void);

// enable/disable inversion 
extern void oled_inverse(unsigned char inverse);

/* enable/disable displaing GDRAM contens
 * Enable  - displaing actal GDRAM contens (displaing changes)
 * Disable - d'not display GDRAM changes. 
 */
extern void oled_display(unsigned char display);

/* define area in GDRAM where you can write
 * pbegin - start page (row) 0-7
 * pend   - end page (row) 0-7
 *          pend > pbegin else exit false
 * cbegin - start column 0-127
 * cend   - top column 0-127
 *          cend > cbegin else exit false
 * vertical - vertical filling GDRAM
 */ 
extern unsigned char oled_area(unsigned char pbegin, unsigned char pend,unsigned char cbegin, unsigned char cend, unsigned char vertical);

/* send data to display
 * *address - pointer to array
 * size - size of array
 */
extern void oled_data( unsigned char *address, unsigned int size);

/* clear screen
 * WARNING!! comand redefine oled area
 */
extern void oled_clr(void);

